polybori::groebner::CountCriterion Class Reference

This class defines CountCriterion. More...

`#include <CountCriterion.h>`

## Public Member Functions

| CountCriterion (GroebnerStrategy &strat, int j)
bool | operator() (int i)
bool | operator() (const Exponent &m)

## Public Attributes

GroebnerStrategy * | strat
int | j

## Detailed Description

This class defines CountCriterion.

## Constructor & Destructor Documentation

polybori::groebner::CountCriterion::CountCriterion | ( | GroebnerStrategy & | strat,
|  | int | j
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::CountCriterion::operator() | ( | int | i | ) |

inline

References polybori::BooleExponent::deg(), polybori::BooleMonomial::deg(), polybori::BooleExponent::divisors(), polybori::BooleMonomial::divisors(), polybori::BooleMonomial::GCD(), polybori::BooleMonomial::LCM(), polybori::BooleExponent::LCM(), polybori::BooleExponent::LCMDeg(), polybori::groebner::PolyEntryBase::lead, polybori::groebner::PolyEntryBase::leadDeg, polybori::CCuddDDFacade< RingType, DiagramType >::nNodes(), polybori::groebner::PolyEntryBase::p, polybori::groebner::PairManagerFacade< StrategyType >::pairs, PBORI_UNLIKELY, polybori::BoolePolynomial::ring(), polybori::BoolePolynomial::set(), polybori::groebner::PairStatusSet::setToHasTRep(), polybori::BooleExponent::size(), polybori::BooleSet::size(), polybori::groebner::PairManager::status, polybori::groebner::PolyEntryBase::usedVariables, and polybori::groebner::zeros().

bool polybori::groebner::CountCriterion::operator() | ( | const Exponent & | m | ) |

inline

References polybori::groebner::GroebnerStrategy::generators, and polybori::groebner::PolyEntryVector::index().

## Member Data Documentation

int polybori::groebner::CountCriterion::j

GroebnerStrategy* polybori::groebner::CountCriterion::strat

The documentation for this class was generated from the following file:

- CountCriterion.h